///home/berryj/link/bin/genMethods "-g" "-t" "Set<int>" "-h" "Set" "-r" "MSet<Set<int> >" "-I" "LINK/basic/Set.h" "-d" "basic" 
#include <stk.h>
#include <LINK/stkWrapper/LINK_STk.h>

#include <LINK/basic/Set.h>

#include <LINK/stkWrapper/Wrapper.h>
#include <LINK/stkWrapper/Register.h>
#include <LINK/stkWrapper/CollectionWrapper.h>


typedef Set<int> _Set_int_;
typedef Set<Set<int> > _Set_Set_int__;
static Set<Set<int> > s__Set_Set_int__;

#define _Set_Set_int__DATA(x) ((Set<Set<int> >*) (EXTDATA(x)))
#define _Set_Set_int__IS_DATA(x) (TYPEP(x, tc_CXXwrapper) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<Set<Set<int> > >::type))
#define _Set_Set_int__ISNT_DATA(x) (!_Set_Set_int__IS_DATA(x))

#define _Set_Set_int__CXX_DATA(x) (*(Set<Set<int> >*) (EXTDATA(VAL(x))))
#define _Set_Set_int__CXX_IS_DATA(x) (INSTANCEP(x) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<Set<Set<int> > >::type))
#define _Set_Set_int__CXX_ISNT_DATA(x) (!_Set_Set_int__CXX_IS_DATA(x))


PRIMITIVE STk_init__Set_Set_int__()
{
	Wrapper<_Set_Set_int__>::type = STk_new_CXXwrapper_id(
			Wrapper<_Set_Set_int__>::name, 
			Wrapper<MSet<Set<int> > >::name,
			(void (*)(SCM x, SCM port, int mode))
			CollectionWrapper<_Set_int_>::displayTypedCollection,
			(void (*)(SCM x))CollectionWrapper<_Set_int_>::markTypedCollection,
			(void (*)(SCM x))CollectionWrapper<_Set_int_>::freeTypedCollection);
	Tcl_InitHashTable(&Register<_Set_Set_int__>::objTable, TCL_ONE_WORD_KEYS);
	return UNDEFINED;
}

void genExtra_Set_Set_int__Methods(void);

PRIMITIVE STk_init_methods__Set_Set_int__()
{
	genExtra_Set_Set_int__Methods();
	return UNDEFINED;
}
